Ddos Protection Plans - List

Gets all DDoS protection plans in a subscription.

GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Network/ddosProtectionPlans?api-version=2026-01-01

URI Parameters

Name In Required Type Description
subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

DdosProtectionPlanListResult

Azure operation completed successfully.

Other Status Codes

CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

List all DDoS protection plans

Sample request

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Network/ddosProtectionPlans?api-version=2026-01-01

Sample response

{
  "value": [
    {
      "name": "plan1",
      "type": "Microsoft.Network/ddosProtectionPlans",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/ddosProtectionPlans/plan1",
      "location": "westus",
      "properties": {
        "provisioningState": "Succeeded",
        "publicIPAddresses": [
          {
            "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/publicIPAddresses/test-pip"
          }
        ],
        "resourceGuid": "00000000-0000-0000-0000-000000000000",
        "virtualNetworks": [
          {
            "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/virtualNetworks/test-vnet1"
          }
        ]
      }
    },
    {
      "name": "plan2",
      "type": "Microsoft.Network/ddosProtectionPlans",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/ddosProtectionPlans/plan2",
      "location": "westus",
      "properties": {
        "provisioningState": "Succeeded",
        "publicIPAddresses": [
          {
            "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/publicIPAddresses/test-pip2"
          },
          {
            "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/publicIPAddresses/test-pip3"
          }
        ],
        "resourceGuid": "00000000-0000-0000-0000-000000000000",
        "virtualNetworks": [
          {
            "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/virtualNetworks/test-vnet2"
          },
          {
            "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/virtualNetworks/test-vnet3"
          }
        ]
      }
    }
  ]
}

Definitions

Name Description
CloudError

An error response from the service.

CloudErrorBody

An error response from the service.

DdosProtectionPlan

A DDoS protection plan in a resource group.

DdosProtectionPlanListResult

The response of a DdosProtectionPlan list operation.

ProvisioningState

Provisioning states of a resource.

SubResource

Reference to another subresource.

CloudError

An error response from the service.

Name Type Description
error

CloudErrorBody

Cloud error body.

CloudErrorBody

An error response from the service.

Name Type Description
code

string

An identifier for the error. Codes are invariant and are intended to be consumed programmatically.

details

CloudErrorBody[]

A list of additional details about the error.

message

string

A message describing the error, intended to be suitable for display in a user interface.

target

string

The target of the particular error. For example, the name of the property in error.

DdosProtectionPlan

A DDoS protection plan in a resource group.

Name Type Description
etag

string

A unique read-only string that changes whenever the resource is updated.

id

string

Resource ID.

location

string

Resource location.

name

string

Resource name.

properties.provisioningState

ProvisioningState

The provisioning state of the DDoS protection plan resource.

properties.publicIPAddresses

SubResource[]

The list of public IPs associated with the DDoS protection plan resource. This list is read-only.

properties.resourceGuid

string

The resource GUID property of the DDoS protection plan resource. It uniquely identifies the resource, even if the user changes its name or migrate the resource across subscriptions or resource groups.

properties.virtualNetworks

SubResource[]

The list of virtual networks associated with the DDoS protection plan resource. This list is read-only.

tags

object

Resource tags.

type

string

Resource type.

DdosProtectionPlanListResult

The response of a DdosProtectionPlan list operation.

Name Type Description
nextLink

string (uri)

The link to the next page of items

value

DdosProtectionPlan[]

The DdosProtectionPlan items on this page

ProvisioningState

Provisioning states of a resource.

Value Description
Failed

Failed

Succeeded

Succeeded

Canceled

Canceled

Creating

Creating

Updating

Updating

Deleting

Deleting

SubResource

Reference to another subresource.

Name Type Description
id

string

Resource ID.